DriveWealth uses standard HTTP response codes to indicate the success or failure of an API request.
- Codes in the
200 range indicate success.
- Codes in the
400 range indicate a failure given the information provided.
- Codes in the
500range indicate an error with the DriveWealth servers (very uncommon).
In the occurrence of 4xx response code, DriveWealth will provide a JSON error code message that briefly explains the error.
Each API request has an associated request identifier. You can find this value in the response headers, under dw-request-id. You should log this identifier as you would any other API response.
| Error Code | Error Response | Error Description |
|---|
| A010 | ACCOUNT_MISSING_PARAMETER | A required parameter is missing or invalid in the request body. |
| A011 | ACCOUNTID_MISSING_INVALID | A required accountID is missing or invalid. |
| A012 | ACCOUNTNO_MISSING_INVALID | A required accountNo is missing or invalid. |
| A013 | ACCOUNT_DATERANGE_MISSING_INVALID | A required date range is missing or invalid. |
| A015 | ACCOUNTINVALID_USERTYPE | The given type of account cannot be created for the given user. |
| A020 | ACCOUNT_BAD_COMBINATION_PARAMETER | One or more parameters in the given combination are missing or invalid. |
| A035 | ACCOUNT_MISSING_USER_PARAMETER | Unable to create account due to missing field(s) on the user. |
| A044 | ACCOUNT_CASH_TRANSFER_INVALID_AMOUNT | The amount of the cash to be transferred is missing or invalid. |
| A045 | ACCOUNT_TRANSFER_MISSING_COMMENT | The comment of this transfer is missing. |
| A047 | ACCOUNT_CASH_TRANSFER_INSUFFICIENT_FUNDS | There is insufficient cash in the account to complete a transfer. |
| A050 | ACCOUNTNOTFOUND | The account you were trying to retrieve was not found. |
| A051 | ACCOUNT_RESTRICTED | Account has been restricted. |
| A055 | ACCOUNTINVALIDOPERATION | The requested operation cannot be performed on this account. |
| A062 | ACCOUNT_CASH_TRANSFER_FROM_FAILURE | Transferring cash from this account has failed. |
| A063 | ACCOUNT_CASH_TRANSFER_TO_FAILURE | Transferring cash to this account has failed. |
| A065 | ACCOUNT_CASH_TRANSFER_OUTSIDE_MMW | Transferring cash outside money movement window is not permitted. |
| A071 | ACCOUNT_NOT_HOUSE_ACCOUNT | The account is not a house account. |
| A072 | ACCOUNT_INVALID_RIA | The user account does not belong to the given RIA. |
| A100 | ACCOUNT_ERROR | There was an error in retrieving the account. |
(Automated Customer Account Transfer)
| Error Code | Error Response | Error Description |
|---|
| AC001 | ACATS_BAD_SYMBOL_REQUEST | ACATs Request rejected because Symbols are not available |
| AC002 | ACATS_INPUT_INVALID | Input(s) invalid |
| AC003 | ACATS_REQUEST_ALREADY_SUBMITTED | Request has been already submitted. |
| Error Code | Error Response | Error Description |
|---|
| B001 | BENEFICIARIES_ACCOUNT_ERROR | Beneficiaries account request failed. |
| B050 | BOD_NOT_FOUND | Unable to generate BOD summary. Contact administrator. |
| Error Code | Error Response | Error Description |
|---|
| C010 | COMMISSION_NO_COMMISSION_ID | No commissions set for current BackOffice user. Contact administrator to get a commission schedule. |
| Error Code | Error Response | Error Description |
|---|
| D001 | DOCUMENT_TOO_LARGE | Document is too large to upload. Please resize your document. |
| D011 | DOCUMENT_INVALID_CONTENT_TYPE | Content type not accepted. |
| D050 | DOCUMENT_NOT_FOUND | The document you were trying to retrieve was not found. |
| D100 | DOCUMENT_ERROR | There was an error in retrieving the document. |
| D200 | DOCUMENT_APPROVED | Document has been Approved. |
| D201 | DOCUMENT_PENDING | Document approval is Pending. |
| D202 | DOCUMENT_REJECTED | Document has been Rejected. |
| D203 | DOCUMENT_NOT_SUBMITTED | Document has not been submitted for approval. |
| D204 | DOCUMENT_UPLOAD_DENIED | User does not have permission to upload Document. Please check your User Status for more information. |
| D205 | DOCUMENT_UNKNOWN | Document is unknown. |
| Error Code | Error Response | Error Description |
|---|
| E005 | STALE_REQUEST | Request date header too old. |
| E006 | FUTURE_REQUEST | Request date header is in the future. |
| E010 | NO_REQUEST_BODY | No request body provided. |
| E015 | UNSUPPORTED_FORMAT | Unsupported Format. |
| E020 | DUPLICATE_VALUE | Value Exists Already. |
| E025 | BAD_REQUEST | Invalid or badly formatted request. |
| E030 | BAD_MISSING_PARAMETERS_URL | Invalid or missing parameters in the request URL. |
| E031 | BAD_MISSING_PARAMETERS_URL_BODY | Invalid or missing parameters in the request URL or body. |
| E032 | BAD_MISSING_PARAMETERS_BODY | Invalid or missing parameters in the request body. |
| E033 | INVALID_PARAMETER_BODY | Invalid parameter in message body. |
| E035 | INVALID_ACTION_BODY | Invalid action in message body. |
| E040 | BAD_COMBINATION_PARAMETERS_URL | A combination of two or more parameters in the URL is missing or invalid. |
| E050 | NOT_FOUND | The resource you were trying to retrieve was not found. |
| E075 | DUPLICATE_REQUEST | The action you are trying to perform is a duplicate. |
| E090 | REQUIRED_PARAMETER_MISSING | A required parameter needed to maintain state is missing. |
| E099 | ERROR_UNKNOWN | Oops! Something went wrong in processing your request. Please contact support. |
| E100 | ERROR | There was an error in processing your request. |
| E101 | ERROR_IDEMPOTENT_REQUEST_RETRY | Maximum retry attempt limit of 5 has been reached. Please contact support. |
| Error Code | Error Response | Error Description |
|---|
| H050 | HEADER_APP_KEY_NOT_FOUND | Client App Key header not found. Contact tech support if you do not have an app key. |
| H055 | HEADER_APP_KEY_INVALID | Client App Key header invalid. Contact tech support. |
| H060 | HEADER_AUTH_TOKEN_NOT_FOUND | Auth token header not found. Log in first to obtain an auth token. |
| H065 | HEADER_AUTH_TOKEN_INVALID | Invalid auth token header. If problem persists, try re-log in. |
| H070 | HEADER_DW_CUSTOMER_NOT_FOUND | DW custom userID header not found. This header is required for this operation. |
| H075 | HEADER_DW_CUSTOMER_ACCOUNT_NOT_FOUND | DW custom accountID header not found. This header is required for this operation. |
| H080 | HEADER_BEARER_TOKEN_ALGORITHM_MISSING_INVALID | Algorithm in bearer token is missing/invalid. |
| H081 | HEADER_BEARER_TOKEN_ISSUER_MISSING_INVALID | Issuer in bearer token is missing/invalid. |
| H082 | HEADER_BEARER_TOKEN_ENVIRONMENTS_MISSING_INVALID | Allowed environments in bearer token are missing/invalid. |
| H085 | HEADER_BEARER_TOKEN_WEB_KEY_NOT_FOUND | Unable to retrieve web key from token key ID. |
| H090 | HEADER_BEARER_TOKEN_INVALID | Bearer token is invalid. |
| H100 | HEADER_BEARER_TOKEN_ERROR | Bearer token error. Contact tech support. |
| Error Code | Error Response | Error Description |
|---|
| I010 | INSTRUMENT_INVALID_TRADE_STATUS | Invalid trade status. |
| I011 | INSTRUMENT_INVALID_EXCHANGE_ID | Invalid exchangeID. |
| I012 | INSTRUMENT_INVALID_TYPE | Invalid instrument type. |
| I013 | INSTRUMENT_INVALID_ORDER_SIZE | Invalid order size(min/max/step). |
| I014 | INSTRUMENT_MISSING_SYMBOL | Symbol is required when updating the instrument image. |
| I015 | INSTRUMENT_UPDATE_FORBIDDEN | Some fields of an instrument can not be updated. |
| I016 | INSTRUMENT_GROUP_INVALID_TYPE | Invalid instrument group type. |
| I017 | INSTRUMENT_GROUP_INVALID_STATUS | Invalid instrument group status. |
| I018 | INSTRUMENT_GROUP_INVALID_ID | Invalid instrument group ID. |
| I019 | INSTRUMENT_GROUP_INVALID_SYMBOLS | Invalid symbol(s) in the request body. |
| I050 | INSTRUMENT_NOT_FOUND | The instrument(s) you were trying to retrieve was not found. |
| Error Code | Error Response | Error Description |
|---|
| IK010 | IDEMPOTENCY_KEY_INVALID_LENGTH | Idempotency Key too short. Must be at least 16 characters. |
| IK025 | IDEMPOTENCY_KEY_BAD_TOKEN | Error in processing idempotency request token. Contact support. |
| IK075 | IDEMPOTENCY_KEY_RESPONSE_ERROR | Something went wrong in retrieving cached response. Aborting with error response. |
| Error Code | Error Response | Error Description |
|---|
| K050 | BANK_ACCOUNT_NOT_FOUND | Bank account temporarily disabled or not found. Contact customer support. |
| K075 | BANK_ACCOUNT_INVALID | Invalid bank account for this operation. Contact customer support if this persists. |
| K100 | BANK_ACCOUNT_ERROR | Bank account error. |
| K110 | BANK_ACCOUNT_INVALID_PLAID_TOKEN | Plaid processor token provided is invalid. |
| Error Code | Error Response | Error Description |
|---|
| L010 | LOGIN_2FA_MISSING | Missing Two Factor Authentication information. |
| L011 | LOGIN_2FA_TYPE_SELECTION | Missing or invalid 2FA type selection. |
| L015 | LOGIN_PHONE_NUMBER_NOT_VALID | Phone number format not recognized. Use email verification or contact customer support. |
| L019 | LOGIN_MISSING_TEMP_CODE | Missing temp code. Provide a valid temp code issued at log in. |
| L020 | LOGIN_INVALID_TEMP_CODE | Invalid temp code. Please log in again. |
| L022 | LOGIN_NULL_TEMP_CODE | Temp code has already been used or was never issued. Please log in again. |
| L024 | LOGIN_NO_HEARTBEAT | Auth Token expired due to inactivity. Please log in again. |
| L025 | LOGIN_EXPIRED | Auth Token expired. Please log in Again. |
| L050 | LOGIN_INVALID | Invalid Credentials. |
| L065 | LOGIN_INVALID_TOKEN | Invalid auth token. Please log in again. |
| L070 | LOGIN_2FA_REQUIRED | Two factor authentication required for login. Re-login via 2FA. |
| L075 | LOGIN_LOGGED_OUT | User already logged out. Please log in again. |
| L090 | LOGIN_AUTH_FAILURE | Something went wrong in trying to retrieve your auth token. Please log in again. |
| L100 | LOGIN_FAILURE | Login Failure. |
| Error Code | Error Response | Error Description |
|---|
| M010 | MANAGED_ACCOUNT_INVALID | The riaID is not valid or not active. |
| M011 | MANAGED_ACCOUNT_CLIENT_INVALID | The accountID/accountNo does not belong to the master account. |
| M012 | MANAGED_ACCOUNT_INVALID_CASH_TRANSFER | The riaID is not valid for transferring cash from/to sub account. |
| M013 | MANAGED_ACCOUNT_INACTIVE_ACCOUNT | The account is NOT active. |
| Error Code | Error Response | Error Description |
|---|
| N010 | INSTANT_FUNDING_NO_ACCOUNT | Instant funding account not set. Contact administrator. |
| N015 | INSTANT_FUNDING_EXISTING_ACCOUNT | Instant funding account already exists. Contact administrator. |
| N020 | INSTANT_FUNDING_ACCOUNT_INACTIVE | Instant funding account is disabled. Contact administrator. |
| N030 | INSTANT_FUNDING_INVALID_AMOUNT | Invalid amount for deposit. |
| N050 | INSTANT_FUNDING_NO_FUNDS | Instant funding threshold reached. Contact administrator. |
| N050 | INSTANT_FUNDING_INSUFFICIENT_FUNDS | Insufficient funds in IFA account. Contact administrator. |
| N060 | FUND_INVALID_FUND_TYPE | Invalid fund type. |
| N100 | INSTANT_FUNDING_ERROR | There was an error in processing the instant money movement request. |
| Error Code | Error Response | Error Description |
|---|
| O005 | ORDER_INVALID_ORDER_TYPE | Invalid order type. |
| O006 | ORDER_INVALID_ORDER_SIDE | Invalid order side. |
| O010 | ORDER_INVALID_STOP_REQUEST | Incomplete stop order. One or more parameters may be missing or invalid. |
| O011 | ORDER_INVALID_LIMIT_REQUEST | Incomplete limit order. One or more parameters may be missing or invalid. |
| O012 | ORDER_INVALID_MARKET_REQUEST | Invalid market order. One or more parameters may be missing or invalid. |
| O015 | ORDER_EITHER_QTY_OR_CASH | Invalid order. Enter one from amount OR order quantity. |
| O016 | ORDER_INVALID_ORDER_METHOD | Invalid order method. |
| O017 | ORDER_INVALID_MIT_REQUEST | Incomplete marketIfTouched order. One or more parameters may be missing or invalid. |
| O018 | ORDER_INVALID_TIF_REQUEST | Invalid Time In Force. One or more parameters may be missing or invalid. |
| O019 | ORDER_INVALID_EXPIRATION_REQUEST | Invalid order expiration. One or more parameters may be missing or invalid. |
| O050 | ORDER_NOT_FOUND | Requested order resource was not found. |
| O098 | ORDER_ACCOUNT_ERROR | Orders can only be placed on open accounts. |
| O099 | ORDER_ERROR | There was an error processing your order. |
| O123 | ORDER_EXPIRED | The order has expired. |
| O124 | DIVIDENDS | The corporate action was canceled, specifically dividends. |
| Error Code | Error Response | Error Description |
|---|
| P020 | PERMISSIONS_NO_PERMISSIONS | No permissions have been assigned to this user. Contact your administrator. |
| P045 | PERMISSIONS_GROUP_ID_NOT_FOUND | There was an error retrieving your permission group. If problem persists, contact your administrator. |
| P050 | PERMISSION_NOT_FOUND | Requested/assigned permission not found. Contact your administrator. |
| P075 | PERMISSIONS_UNAUTHORIZED | User does not have permissions to perform this operation. Contact your administrator. |
| P087 | PERMISSIONS_RESOURCE_PARENTIB_NOT_ASSIGNED | No parentIB assigned to the resource entity. Contact your administrator. |
| P088 | PERMISSIONS_BO_PARENTIB_NOT_ASSIGNED | No parentIB assigned to the back office user. Contact your administrator. |
| P090 | PERMISSIONS_PARENTIB_NO_MATCH | The operator user and the operated resource do not belong to the same organization. Contact your administrator. |
| Error Code | Error Response | Error Description |
|---|
| R010 | REPORT_INVALID_DATE | Invalid date.There are no reports available for the date(s) provided. |
| R011 | REPORT_FUTURE_DATE | Date in future.There are no reports available for the date(s) provided. |
| Error Code | Error Response | Error Description |
|---|
| S100 | SEARCH_NO_RECORDS_FOUND | No records were found for the given search criteria. Modify your search and try again. |
| Error Code | Error Response | Error Description |
|---|
| T010 | PRODUCT_RIA_ID_INVALID_MISSING | The riaID of product is missing or invalid. |
| T011 | PRODUCT_TYPE_INVALID_MISSING | A required type of product is missing or invalid. |
| T012 | PRODUCT_FUND_ID_INVALID_MISSING | A required fundID of product is missing or invalid. |
| T013 | PRODUCT_OVERWEIGHT_ERROR | A total weight of product is over 100%. |
| P050 | PRODUCT_NOT_FOUND | The product you were trying to retrieve was not found. |
| Error Code | Error Response | Error Description |
|---|
| Q050 | QUOTES_NOT_FOUND | The quote you were trying to retrieve is not available. |
| Q100 | QUOTES_ERROR | There was an error in retrieving quotes. |
| Error Code | Error Response | Error Description |
|---|
| U010 | USERNAME_NOT_UNIQUE | The username already exists. |
| U025 | USER_INVALID_MISSING_PARAMETER | Invalid or missing required parameter on the user. Refer to the API documentation for details. |
| U040 | USER_INFO_DOCUMENT_MISSING | A required document for the specified user or account type is missing incomplete. |
| U045 | USER_NO_KYC | The user is not in the KYC Queue. |
| U050 | USER_NOT_FOUND | The user you were trying to retrieve was not found. Please check the User ID and try again. |
| U060 | USER_NO_PARENTIB_SET | User does not have a parentIB set. Contact your administrator. |
| U062 | USER_INVALID_PARENTIB_SET | Unable to find parentIB associated with the user. Contact your administrator. |
| U064 | USER_NO_REFERRER_PARENTIB_SET | Referrer does not have a parentIB set. Contact your administrator. |
| U065 | USER_INVALID_REFERRER_PARENTIB_SET | Unable to find parentIB associated with the referrer. Contact your administrator. |
| U070 | USER_NO_PRIVILEGES | User does not have permissions to access this information. Contact your administrator. |
| U072 | USER_NO_ACCESS | User is not allowed to access this resource. |
| U075 | USER_UNABLE_RETRIEVE | Unable to validate the user associated with the log in information. |
| U080 | USER_INVALID_ID_NO | The specified identification value is not appropriate for the specified Citizenship. |
| U090 | USER_MISSING_INFORMATION | User is missing required information to process this request. |
| U100 | USER_ERROR | There was an error in retrieving the user. |
| U101 | USER_ERROR | User's info has not been submitted for KYC. |
| U102 | USER_PENDING | User's info required. |
| U103 | USER_KYC_PENDING | KYC verification failed. |
| U104 | USER_INFO_REQUIRED | User is waiting for approval. |
| U105 | USER_REJECTED | There was an error in processing the deposit request. |
| U106 | USER_PENDING_APPROVAL | User is waiting for approval. |
| Error Code | Error Response | Error Description |
|---|
| Y025 | PAYMENT_NOT_ALLOWED | Unable to initiate/authorize payment. |
| Y044 | PAYMENT_DEPOSIT_AMOUNT_BELOW_MINIMUM | Deposit does not meet the required minimum amount. |
| Y050 | PAYMENT_REDEMPTION_NOT_FOUND | The redemption you were trying to retrieve was not found. |
| Y051 | PAYMENT_DEPOSIT_NOT_FOUND | The deposit you were trying to retrieve was not found. |
| Y060 | PAYMENT_RECURRING_DETAILS_NOT_FOUND | The recurring deposit details were not found. |
| Y075 | PAYMENT_INSUFFICIENT_BALANCE | The redemption amount is more than the cash available. |
| Y099 | PAYMENT_DEPOSIT_ERROR | The redemption you were trying to retrieve was not found. |
| Error Code | Error Response | Error Description |
|---|
| K001 | AGE_VALIDATION | The age calculated from the documents date of birth point is greater than or equal to the minimum accepted age set at the account level |
| K002 | POOR_PHOTO_QUALITY | "Poor photo quality. ID may be too dark, damaged, blurry, cut off, or have a glare" |
| K003 | POOR_DOC_QUALITY | "Abnormal document quality. ID may have obscured data points, obscured security features, a corner removed, punctures, or watermarks obscured by digital text overlay" |
| K004 | SUSPECTED_DOCUMENT_FRAUD | Tampering and forgery found on the document |
| K005 | INCORRECT_SIDE | The incorrect side of the document had been uploaded. Choose the correct side of the document and re-upload |
| K006 | NO_DOC_IN_IMAGE | "No document was found in the image, or there is a blank image" |
| K007 | TWO_DOCS_UPLOADED | Two different documents were submitted as the same document type |
| K008 | EXPIRED_DOCUMENT | Document is expired or invalid format of expiry date |
| K009 | MISSING_BACK | The back of the document is missing |
| K010 | UNSUPPORTED_DOCUMENT | Document is not supported |
| K011 | DOB_NOT_MATCH_ON_DOC | The DOB listed on the customer’s ID is not the same DOB listed on the customer’s application |
| K012 | NAME_NOT_MATCH_ON_DOC | The Name on the the customer’s ID is not the same Name listed on the customer’s application |
| K050 | INVALID_DOCUMENT | Unable to process your document. File is corrupted and can't be opened. |
| Error Code | Error Response | Error Description |
|---|
| K101 | ADDRESS_NOT_MATCH | No match found for address or invalid format in address |
| K102 | SSN_NOT_MATCH | No match found for Social Security Number |
| K103 | DOB_NOT_MATCH | No match found for Date of Birth |
| K104 | NAME_NOT_MATCH | No match found for firstName / lastName or invalid characters found |
| K106 | SANCTION_WATCHLIST | User is under sanction watch list |
| K107 | SANCTION_OFAC | User is found in OFAC SDN list |
| K108 | INVALID_PHONE_NUMBER | The phone number listed on the customer’s application is not a valid number of digits for a phone number |
| K109 | INVALID_EMAIL_ADDRESS | The emailID listed on the customer’s application is not valid or unable to verify in watch list. |
| K110 | INVALID_NAME_TOO_LONG | The first name or last name listed on the customer's application is not valid. First name or last name should not be greater than 36 characters. |
| K111 | UNSUPPORTED_COUNTRY | The KYC is not supported in the country. |
| K801 | AGED_ACCOUNT | KYC is not verified by user within 30 days |
| K802 | ACCOUNT_INTEGRITY | Account information provided may not be legitimate and/or is being used by multiple account holders |
| U999 | UNKNOWN | Unrecognized error |
| Error Code | Error Response | Error Description |
|---|
| B100 | INVALID_REQUEST_FOR_DAILY_BARS | The number of bars requested has exceeded the maximum allowed of 10 Years for Daily bars. |
| B100 | INVALID_REQUEST_FOR_ONE_MINUTE_BARS | The number of bars requested has exceeded the maximum allowed of 1 Month for 1 minute bars. |
| B100 | INVALID_REQUEST_FOR_FIVE_MINUTES_BARS | The number of bars requested has exceeded the maximum allowed of 2 Months for 5 minutes bars. |
| B100 | INVALID_REQUEST_FOR_THIRTY_MINUTES_BARS | The number of bars requested has exceeded the maximum allowed of 1 Year for 30 minutes bars. |
| B100 | INVALID_REQUEST_FOR_ONE_HOUR_BARS | The number of bars requested has exceeded the maximum allowed of 2 Years for 1 hour bars. |
| B100 | INVALID_REQUEST_FOR_WEEKLY_BARS | The number of bars requested has exceeded the maximum allowed of 20 Years for Weekly bars. |
| OT002 | ONE_TICK_BARS_REQUEST_EXCEEDED | The Number of Bars request has exceeded the maximum allowed Bars. |
| OT003 | OTHER_ONE_TICK_ERRORS | Unable to retrieve bars data. |
| Error Code | Error Response | Error Description |
|---|
| T003 | ASSETS_TRANSFER_NEGATIVE_CASH | Assets Transfer cannot initiate because of negative cash in the account. |
| T004 | ASSETS_TRANSFER_REJECTED | Assets Transfer cannot initiate. |
| T005 | ASSETS_TRANSFER_UNAUTHORIZED | Unauthorized to initiate Assets Transfer. |